LossAction (Apache Geode 1.4.0)
Date: 2018-01-29

org.apache.geode.cache

## Class LossAction

- java.lang.Object
- - org.apache.geode.cache.LossAction

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  this feature is scheduled to be removed

      public class LossAction
      extends java.lang.Object
      implements java.io.Serializable

  Specifies how access to the region is affected when one or more required roles are lost. A role is lost when it is are offline and no longer present in the system membership. The `LossAction` is specified when configuring a region's `MembershipAttributes`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LossAction` | `FULL_ACCESS` Deprecated. Access to the region is unaffected when required roles are missing.
    `static LossAction` | `LIMITED_ACCESS` Deprecated. Only local access to the region is allowed when required roles are missing.
    `static LossAction` | `NO_ACCESS` Deprecated. The region is unavailable when required roles are missing.
    `byte` | `ordinal` Deprecated. byte used as ordinal to represent this Scope
    `static LossAction` | `RECONNECT` Deprecated. Loss of required roles causes the entire cache to be closed.
    `static java.util.List` | `VALUES` Deprecated. List of all LossAction values

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LossAction` | `fromName(java.lang.String name)` Deprecated. Return the LossAction specified by name
    `static LossAction` | `fromOrdinal(byte ordinal)` Deprecated. Return the LossAction represented by specified ordinal
    `boolean` | `isAllAccess()` Deprecated. Returns true if this is `FULL_ACCESS`.
    `boolean` | `isLimitedAccess()` Deprecated. Returns true if this is `LIMITED_ACCESS`.
    `boolean` | `isNoAccess()` Deprecated. Returns true if this is `NO_ACCESS`.
    `boolean` | `isReconnect()` Deprecated. Returns true if this is `RECONNECT`.
    `java.lang.String` | `toString()` Deprecated. Returns a string representation for this loss action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_ACCESS

          public static final LossAction NO_ACCESS

      Deprecated.
      The region is unavailable when required roles are missing. All operations including read and write access are denied. All read and write operations on the region will result in `RegionAccessException` while any required roles are absent. Basic administration of the region is allowed, including close and localDestroyRegion.

    - #### LIMITED_ACCESS

          public static final LossAction LIMITED_ACCESS

      Deprecated.
      Only local access to the region is allowed when required roles are missing. All distributed write operations on the region will throw `RegionAccessException` while any required roles are absent. Reads which result in a netSearch behave normally, while any attempt to invoke a netLoad is not allowed.

    - #### FULL_ACCESS

          public static final LossAction FULL_ACCESS

      Deprecated.
      Access to the region is unaffected when required roles are missing.

    - #### RECONNECT

          public static final LossAction RECONNECT

      Deprecated.
      Loss of required roles causes the entire cache to be closed. In addition, this process will disconnect from the DistributedSystem and then reconnect. Attempting to use any existing references to the regions or cache will throw a `CacheClosedException`.

    - #### ordinal

          public final byte ordinal

      Deprecated.
      byte used as ordinal to represent this Scope

    - #### VALUES

          public static final java.util.List VALUES

      Deprecated.
      List of all LossAction values

  - ### Method Detail

    - #### fromOrdinal

          public static LossAction fromOrdinal(byte ordinal)

      Deprecated.
      Return the LossAction represented by specified ordinal

    - #### fromName

          public static LossAction fromName(java.lang.String name)

      Deprecated.
      Return the LossAction specified by name

    - #### isNoAccess

          public boolean isNoAccess()

      Deprecated.
      Returns true if this is `NO_ACCESS`.

    - #### isLimitedAccess

          public boolean isLimitedAccess()

      Deprecated.
      Returns true if this is `LIMITED_ACCESS`.

    - #### isAllAccess

          public boolean isAllAccess()

      Deprecated.
      Returns true if this is `FULL_ACCESS`.

    - #### isReconnect

          public boolean isReconnect()

      Deprecated.
      Returns true if this is `RECONNECT`.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Returns a string representation for this loss action.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the name of this loss action